Package org.codehaus.groovy.tools.groovydoc.antlr4

# Class GroovydocJavaVisitor

java.lang.Object
com.github.javaparser.ast.visitor.VoidVisitorAdapter<java.lang.Object>
org.codehaus.groovy.tools.groovydoc.antlr4.GroovydocJavaVisitor

All Implemented Interfaces:
  `com.github.javaparser.ast.visitor.VoidVisitor<java.lang.Object>`

    public class GroovydocJavaVisitor
    extends com.github.javaparser.ast.visitor.VoidVisitorAdapter<java.lang.Object>

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GroovydocJavaVisitor​(java.lang.String packagePath, java.util.List<LinkArgument> links)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Map<java.lang.String,​GroovyClassDoc>` | `getGroovyClassDocs()` |
  `void` | `visit​(com.github.javaparser.ast.body.AnnotationDeclaration n, java.lang.Object arg)` |
  `void` | `visit​(com.github.javaparser.ast.body.AnnotationMemberDeclaration n, java.lang.Object arg)` |
  `void` | `visit​(com.github.javaparser.ast.body.ClassOrInterfaceDeclaration n, java.lang.Object arg)` |
  `void` | `visit​(com.github.javaparser.ast.body.ConstructorDeclaration c, java.lang.Object arg)` |
  `void` | `visit​(com.github.javaparser.ast.body.EnumConstantDeclaration n, java.lang.Object arg)` |
  `void` | `visit​(com.github.javaparser.ast.body.EnumDeclaration n, java.lang.Object arg)` |
  `void` | `visit​(com.github.javaparser.ast.body.FieldDeclaration f, java.lang.Object arg)` |
  `void` | `visit​(com.github.javaparser.ast.body.MethodDeclaration m, java.lang.Object arg)` |
  `void` | `visit​(com.github.javaparser.ast.ImportDeclaration n, java.lang.Object arg)` |

  ### Methods inherited from class com.github.javaparser.ast.visitor.VoidVisitorAdapter

  `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroovydocJavaVisitor

    public GroovydocJavaVisitor​(java.lang.String packagePath, java.util.List<LinkArgument> links)

- ## Method Details

  - ### visit

    public void visit​(com.github.javaparser.ast.ImportDeclaration n, java.lang.Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<java.lang.Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<java.lang.Object>`

  - ### visit

    public void visit​(com.github.javaparser.ast.body.EnumDeclaration n, java.lang.Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<java.lang.Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<java.lang.Object>`

  - ### visit

    public void visit​(com.github.javaparser.ast.body.EnumConstantDeclaration n, java.lang.Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<java.lang.Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<java.lang.Object>`

  - ### visit

    public void visit​(com.github.javaparser.ast.body.AnnotationDeclaration n, java.lang.Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<java.lang.Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<java.lang.Object>`

  - ### visit

    public void visit​(com.github.javaparser.ast.body.AnnotationMemberDeclaration n, java.lang.Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<java.lang.Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<java.lang.Object>`

  - ### visit

    public void visit​(com.github.javaparser.ast.body.ClassOrInterfaceDeclaration n, java.lang.Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<java.lang.Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<java.lang.Object>`

  - ### visit

    public void visit​(com.github.javaparser.ast.body.MethodDeclaration m, java.lang.Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<java.lang.Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<java.lang.Object>`

  - ### visit

    public void visit​(com.github.javaparser.ast.body.ConstructorDeclaration c, java.lang.Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<java.lang.Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<java.lang.Object>`

  - ### visit

    public void visit​(com.github.javaparser.ast.body.FieldDeclaration f, java.lang.Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<java.lang.Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<java.lang.Object>`

  - ### getGroovyClassDocs

    public java.util.Map<java.lang.String,​GroovyClassDoc> getGroovyClassDocs()